# DataExchange
TKSTEPBase
StepShape

# StepShape_LoopAndPath Class Reference

`#include <StepShape_LoopAndPath.hxx>`

Inheritance diagram for StepShape_LoopAndPath:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_LoopAndPath ()
| Returns a LoopAndPath .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_Loop)&aLoop, const Handle(StepShape_Path)&aPath)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_HArray1OfOrientedEdge)&aEdgeList)
Standard_EXPORT void | SetLoop (const Handle(StepShape_Loop)&aLoop)
Standard_EXPORT Handle_StepShape_Loop | Loop () const
Standard_EXPORT void | SetPath (const Handle(StepShape_Path)&aPath)
Standard_EXPORT Handle_StepShape_Path | Path () const
Standard_EXPORT void | SetEdgeList (const Handle(StepShape_HArray1OfOrientedEdge)&aEdgeList)
Standard_EXPORT Handle_StepShape_HArray1OfOrientedEdge | EdgeList () const
Standard_EXPORT Handle_StepShape_OrientedEdge | EdgeListValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbEdgeList () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_Loop | loop
Handle_StepShape_Path | path

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_LoopAndPath::StepShape_LoopAndPath | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepShape_HArray1OfOrientedEdge StepShape_LoopAndPath::EdgeList | ( |  | ) | const

Standard_EXPORT Handle_StepShape_OrientedEdge StepShape_LoopAndPath::EdgeListValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const StepShape_LoopAndPath::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_TopologicalRepresentationItem.

virtual Standard_EXPORT void StepShape_LoopAndPath::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_HArray1OfOrientedEdge)& | aEdgeList
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_LoopAndPath::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_Loop)& | aLoop,
|  | const Handle(StepShape_Path)& | aPath
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_LoopAndPath::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepShape_Loop StepShape_LoopAndPath::Loop | ( |  | ) | const

Standard_EXPORT Standard_Integer StepShape_LoopAndPath::NbEdgeList | ( |  | ) | const

Standard_EXPORT Handle_StepShape_Path StepShape_LoopAndPath::Path | ( |  | ) | const

Standard_EXPORT void StepShape_LoopAndPath::SetEdgeList | ( | const Handle(StepShape_HArray1OfOrientedEdge)& | aEdgeList | ) |

Standard_EXPORT void StepShape_LoopAndPath::SetLoop | ( | const Handle(StepShape_Loop)& | aLoop | ) |

Standard_EXPORT void StepShape_LoopAndPath::SetPath | ( | const Handle(StepShape_Path)& | aPath | ) |

## Field Documentation

Handle_StepShape_Loop StepShape_LoopAndPath::loop `[private]`

Handle_StepShape_Path StepShape_LoopAndPath::path `[private]`

The documentation for this class was generated from the following file:

- StepShape_LoopAndPath.hxx